Subject: Re: [RFC PATCH 00/12] Merge common OpenFirmware device tree code

From: Sam Creasey <[email-masked]>
Date: Wed, 7 Oct 2009 09:52:43 -0400

On Wed, Oct 07, 2009 at 03:18:04PM +1000, Julian Calaby wrote:
> On Wed, Oct 7, 2009 at 14:49, Grant Likely <[email-masked]> wrote:
> > On Tue, Oct 6, 2009 at 10:29 PM, Grant Likely <[email-masked]> wrote:
> >>
> >> So here goes.  I've begun the work to merge and clean up the OF device
> >> tree handling code and this is my first set of patches.  Not fully
> >> tested yet, but I'm getting them out to the lists so that I can start
> >> responding to comments and collecting acks.  This first batch isn't
> >> anything exciting, just a merge of common code
> 
> Good work, for what it's worth, this all looks good to me.
> 
> > However, I've completely devoted to this work for at least the next
> > two months, so there are plenty more patches to follow.  Once I've
> > got all the common code merged between Microblaze, PowerPC and Sparc
> > I'll be fix the endian problems and making it easily usable by other
> > architectures like ARM and MIPS.  Lots of work to be done.
> 
> On the subject of merging code, I know that the SUN3 code in m68k uses
> a similar prom interface to the sparc32 code. (and I've also
> considered unifying that and ... well ... see above) Does anyone know
> if it has an OpenFirmware interface for it's devices? Is OF on SUN3
> even remotely useful? Does Linux on SUN3 even work with modern
> kernels?

Sun3 doesn't have OF, though I've got some dormant patches to add an
OF emulation layer to make it easier to reuse Sparc drivers on
Sun3...   Never finished enough to submit, so it probably shouldn't
affect anything you're doing here.

As for recent kernels, I think 2.6.19 was the last sun3 I distributed
patches for, so modern might be pushing it...

-- Sam